Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.explorer 6.5.22 1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.explorer.propertysheet
Interface ExPropertyEditor

All Superinterfaces:
  PropertyEditor

    public interface ExPropertyEditor

extends PropertyEditor

An extension interface for property editors that hides all the necessary communication with the IDE. ExPropertyEditor is able to accept an instance of PropertyEnv class - this environment passes additional information to the editor. The `PropertyEnv` instance is typically used to set the valid/invalid state of the property, and to retrieve a reference to the Node.Property or PropertyDescriptor for the property being edited.

Field Summary
`static String` | `PROP_VALUE_VALID` If you want to enable/disable the OK button on the custom property editor panel you can fire a property change event with boolean value.
`static String` | `PROPERTY_HELP_ID` If you want to add custom help ID on the custom property editor panel you can store its value in PROPERTY_HELP_ID property.

Method Summary
`void` | `attachEnv(PropertyEnv env)` This method is called by the IDE to pass the environment to the property editor.

Methods inherited from interface java.beans.PropertyEditor
`addPropertyChangeListener, getAsText, getCustomEditor, getJavaInitializationString, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText, setValue, supportsCustomEditor`

Field Detail

### PROP_VALUE_VALID

    static final String PROP_VALUE_VALID

  If you want to enable/disable the OK button on the custom property editor panel you can fire a property change event with boolean value. You don't have to implement the ExPropertyEditor interface for this feature to be turned on. When firing property change event PROP_VALUE_VALID is the name and an instance of java.lang.Boolean should be passed as a value.

  See Also:
    Constant Field Values

### PROPERTY_HELP_ID

    static final String PROPERTY_HELP_ID

  If you want to add custom help ID on the custom property editor panel you can store its value in PROPERTY_HELP_ID property.

  See Also:
    Constant Field Values

Method Detail

### attachEnv

    void attachEnv(PropertyEnv env)

  This method is called by the IDE to pass the environment to the property editor. The typical use case is for the ExPropertyEditor to call `env.getFeatureDescriptor().getValue (String key)` to retrieve any hints the Property object may supply regarding how the property editor should behave (such as providing alternate text representations of "true" and "false" for a Boolean property editor).

  Property editors that support an invalid state (typically used to disable the OK button in custom editor dialogs) should cache the env object and update the env's state on calls to `setValue()`.

  Note: This method may be called more than once during the lifetime of a property editor. In particular, custom property editors which want to change the state of the OK button by calling `PropertyEnv.setState(PropertyEnv.STATE_VALID)` should not assume that the instance of PropertyEnv most recently passed to attachEnv() on the underlying property editor is the same instance that controls the dialog they are displayed in. Custom editors which wish to control the state of the OK button should cache the last-set PropertyEnv at the time they are instantiated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.explorer 6.5.22 1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.